Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# CIDL_TargetManager_i::TargetManager_exec_i Class Reference

`#include <TargetManager_exec.h>`

Inheritance diagram for CIDL_TargetManager_i::TargetManager_exec_i:

[legend]
Collaboration diagram for CIDL_TargetManager_i::TargetManager_exec_i:

[legend]
List of all members.

## Public Member Functions
| TargetManager_exec_i (TargetManagerImpl_exec_i *exec, CORBA::ORB_ptr orb, TargetManagerImpl_Context *context)
virtual | ~TargetManager_exec_i (void)
virtual ::Deployment::Domain * | getAllResources () throw (CORBA::SystemException)
virtual ::Deployment::Domain * | getAvailableResources () throw (CORBA::SystemException)
virtual void | commitResources (const ::Deployment::DeploymentPlan &plan) throw ( ::CORBA::SystemException, ::Deployment::ResourceNotAvailable, ::Deployment::PlanError)
virtual void | releaseResources (const ::Deployment::DeploymentPlan &argname) throw (CORBA::SystemException)
virtual void | updateDomain (const ::CORBA::StringSeq &elements, const ::Deployment::Domain &domainSubset,::Deployment::DomainUpdateKind updateKind) throw (CORBA::SystemException)
## Private Attributes
TargetManagerImpl_exec_i * | _exec
std::auto_ptr< CIAO::DomainDataManager > | dataManager_
| The pointer to the Domain Manager.
CORBA::ORB_var | orb_
| The CORBA ORB ...
TargetManagerImpl_Context * | context_
| The context object ...

## Constructor & Destructor Documentation

CIDL_TargetManager_i::TargetManager_exec_i::TargetManager_exec_i | ( | TargetManagerImpl_exec_i * | exec,
|  | CORBA::ORB_ptr | orb,
|  | TargetManagerImpl_Context * | context
| ) |

CIDL_TargetManager_i::TargetManager_exec_i::~TargetManager_exec_i | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void CIDL_TargetManager_i::TargetManager_exec_i::commitResources | ( | const ::Deployment::DeploymentPlan & | plan | ) | throw ( ::CORBA::SystemException, ::Deployment::ResourceNotAvailable, ::Deployment::PlanError)`[virtual]`

virtual ::Deployment::Domain* CIDL_TargetManager_i::TargetManager_exec_i::getAllResources | ( |  | ) | throw (CORBA::SystemException)

virtual ::Deployment::Domain* CIDL_TargetManager_i::TargetManager_exec_i::getAvailableResources | ( |  | ) | throw (CORBA::SystemException)

void CIDL_TargetManager_i::TargetManager_exec_i::releaseResources | ( | const ::Deployment::DeploymentPlan & | argname | ) | throw (CORBA::SystemException)`[virtual]`

void CIDL_TargetManager_i::TargetManager_exec_i::updateDomain | ( | const ::CORBA::StringSeq & | elements,
|  | const ::Deployment::Domain & | domainSubset,
|  | ::Deployment::DomainUpdateKind | updateKind
| ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

TargetManagerImpl_exec_i* CIDL_TargetManager_i::TargetManager_exec_i::_exec`[private]`

TargetManagerImpl_Context* CIDL_TargetManager_i::TargetManager_exec_i::context_`[private]`

| The context object ...

std::auto_ptr<CIAO::DomainDataManager> CIDL_TargetManager_i::TargetManager_exec_i::dataManager_`[private]`

| The pointer to the Domain Manager.

CORBA::ORB_var CIDL_TargetManager_i::TargetManager_exec_i::orb_`[private]`

| The CORBA ORB ...

The documentation for this class was generated from the following files:

- TargetManager_exec.h
- TargetManager_exec.cpp